For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportDiscordGo to dashboard
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
    • API Overview
  • EVM APIs
      • GETgetSources
  • Solana Swap APIs
  • Cross-Chain APIs
LogoLogo
Contact SupportDiscordGo to dashboard
EVM APIsSources

getSources

||View as Markdown|
GET
https://api.0x.org/sources
GET
/sources
$curl -G https://api.0x.org/sources \
> -H "0x-api-key: 0x-api-key" \
> -H "0x-version: v2" \
> -d chainId=1
1{
2 "sources": [
3 "0x_RFQ",
4 "Ambient",
5 "BalancerV1",
6 "BalancerV2",
7 "BancorV3",
8 "Curve",
9 "DodoV1",
10 "DodoV2",
11 "FraxswapV2",
12 "Integral",
13 "Lido",
14 "MakerPsm",
15 "Maverick",
16 "Origin",
17 "PancakeSwapV3",
18 "RocketPool",
19 "SolidlyV3",
20 "SushiSwap",
21 "Synapse",
22 "UniswapV2",
23 "UniswapV3"
24 ],
25 "zid": "0x111111111111111111111111"
26}
Get the list of supported sources
Was this page helpful?
Previous

getChains

Next

getSwapTrades

Built with

Headers

0x-api-keystringRequired
Visit dashboard.0x.org to get your API Key
0x-versionstringRequired
API version

Query parameters

chainIdintegerRequired

Chain ID. See here for the list of supported chains

Response

Successful response
sourceslist of strings
The array of liquidity sources aggregated by 0x for the requested chain
zidstring
The unique ZeroEx identifier of the request

Errors

400
Bad Request Error
500
Internal Server Error